> For the complete documentation index, see [llms.txt](https://api-docs.roundhr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.roundhr.com/round-api/api-reference/webhooks/update.md).

# 웹훅 수정

## Webhook 수정

<mark style="color:orange;">`PATCH`</mark> `https://api.roundhr.com/v1/webhooks/{code}`

기존 Webhook 정보를 수정합니다.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Path Parameters**

| Name | Type   | 필수         | Description |
| ---- | ------ | ---------- | ----------- |
| code | string | `required` | Webhook 코드  |

**Body**

| Name          | Type      | 필수         | Description      |
| ------------- | --------- | ---------- | ---------------- |
| callback\_url | string    | `optional` | 이벤트 발생 시 호출할 URL |
| signing\_key  | string    | `optional` | 서명 검증을 위한 비밀 키   |
| active        | boolean   | `optional` | 활성화 여부           |
| kinds         | string\[] | `optional` | 구독할 이벤트 타입 배열    |

**요청 예제**

```bash
curl -X PATCH https://api.roundhr.com/v1/webhooks/WH12345678 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <token>" \
  -d '{
    "callback_url": "https://example.com/new-webhook",
    "kinds": ["candidate_stage_changed", "interview_scheduled"]
  }'
```

**응답 예제**

{% tabs %}
{% tab title="200" %}

```json
{
  "resource": {
    "code": "WH12345678",
    "active": true,
    "provider": "round",
    "callback_url": "https://example.com/new-webhook",
    "signing_key": "your_secret_key",
    "events": [
      "candidate_stage_changed",
      "interview_scheduled"
    ],
    "created_at": "2025-01-15T00:00:00+09:00",
    "updated_at": "2025-01-15T01:00:00+09:00"
  }
}
```

{% endtab %}
{% endtabs %}
